#include <stdio.h>
char buf = 0;

//getch: get a (possible pushed character back) character
int getch(void)
{
	int c;
	if(buf != 0)
		c = buf;
	else	
		c = getchar();
		buf = 0;
		return c;
}

/*ungetch: push string back onto the input*/
void ungetch(int c)
{
	if (buf != 0)
		printf("ungetch: too many characters!n");
	else
	buf = c;
}

int main(void)
{
	int c;

	while ((c = getch()) != EOF) {
	if (c == '/') {
		putchar(c);
	if ((c = getch()) == '*') { 
		ungetch('!');
		}         
	} 
	putchar(c);               
	}
	 return 0;
}
