#include <stdio.h>
#include <string.h>

void itoav(int n, char s[]);
void reverse(char s[]);

int main()
{
	int a = 245;
	char array[10];

	itoav(a,array);
	printf("%s",&array);
	printf("\n");

	return 0;
}

/* itoa: convert n to characters in s */
void itoav(int n, char s[])
{
	int i, sign;

	if ((sign = n) < 0)	/* record sign */
		n = -n;		/* make n positive */
	i = 0;
	do {	/* generate digits in reverse order */
		s[i++] = n % 10 + '0'; /* get next digit */
	} while ((n /= 10) > 0);/* delete it */
	if (sign < 0)
		s[i++] = '-';
	s[i] = '\0';
	reverse(s);
}

/* reverse: reverse string s in place */
void reverse(char s[])
{
	int c, i, j;

	for (i = 0, j = strlen(s)-1; i < j; i++, j--) {

		c = s[i];
		s[i] = s[j];
		s[j] = c;
	}
}
